<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_07e0706709a15e456d6664d" . "499040d73" => base64_decode("Yml3" . "ZWVr"), "_0788425a8947" . "7a5f6ac1bd2ce" . "b434967" => base64_decode("RVJST1I6OiBVbmtub3" . "duIHBlcmlvZCAtIA=="), "_950c864" . "c3fc8d7c" . "4db561ee" . "a71d4aca" . "9" => base64_decode("eWVh" . "cg=="), "_a8fa98c95a8a4969" . "39eaebfef66865b4" => base64_decode("d2Vlaw" . "=="), "_e2ecb80" . "cd1b605a" . "951ad84d" . "608101ac" . "4" => base64_decode("bW9udG" . "g="));






class HpDateInterval
{
    
    
    
    
    
    
    protected $start_date;
    
    
    
    
    
    
    protected $end_date;
    protected $processer;
    
    
    public function SetStartDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->start_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetEndDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->end_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetPeriod($_68865ed7b59f5ee9253afff85b97015b)
    {
        switch ($_68865ed7b59f5ee9253afff85b97015b) {
            case $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a8fa98c9" . "5a8a49693" . "9eaebfef6" . "6865b4"]:
                $this->processer = new HpDateIntervalWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_07e0706709a15e456d66" . "64d499040d73"]:
                $this->processer = new HpDateIntervalBiWeek();
                break;
            case $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e2ecb80cd1" . "b605a951ad8" . "4d608101ac4"]:
                $this->processer = new HpDateIntervalMonth();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_950c864c3fc8d7c4db56" . "1eea71d4aca9"]:
                $this->processer = new HpDateIntervalYear();
                break;
            default:
                throw new Exception($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0788425a8" . "9477a5f6ac" . "1bd2ceb434" . "967"] . $_68865ed7b59f5ee9253afff85b97015b);
        }
    }
    public function GetIntervalsArray()
    {
        return $this->processer->GetIntervalsArray($this->start_date, $this->end_date);
    }
}